<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://xmlns.jcp.org/xml/ns/javaee"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
	id="WebApp_ID" version="3.1">
	<display-name>nfce-precos</display-name>
	<welcome-file-list>
		<welcome-file>inicio.xhtml</welcome-file>
	</welcome-file-list>
	
	<context-param>
		<param-name>javax.faces.PROJECT_STAGE</param-name>
		<param-value>Development</param-value>
	</context-param>
	<context-param>
		<param-name>facelets.SKIP_COMMENTS</param-name>
		<param-value>true</param-value>
	</context-param>
	<!-- 	http://showcase.omnifaces.org/facesviews/ExtensionlessURLs -->
	<context-param>
    	<param-name>org.omnifaces.FACES_VIEWS_SCAN_PATHS</param-name>
    	<param-value>/*.xhtml</param-value>
	</context-param>
	
	<servlet>
    	<servlet-name>Jersey REST Service</servlet-name>
    	<servlet-class>org.glassfish.jersey.servlet.ServletContainer</servlet-class>     
	    <init-param>
	        <param-name>jersey.config.server.provider.packages</param-name>
	        <param-value>br.com.sanderson.nfce.rest</param-value>
	    </init-param>
    	<load-on-startup>1</load-on-startup>
 	</servlet>
 	<servlet-mapping>
    	<servlet-name>Jersey REST Service</servlet-name>
    	<url-pattern>/rest/*</url-pattern>
 	</servlet-mapping>
	
	
	<servlet>
		<servlet-name>Faces Servlet</servlet-name>
		<servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>Faces Servlet</servlet-name>
		<url-pattern>*.xhtml</url-pattern>
	</servlet-mapping>

	<!-- WELD -->
	<listener>
		<listener-class>org.jboss.weld.environment.servlet.Listener</listener-class>
	</listener>

	<session-config>
		<session-timeout>30</session-timeout>
	</session-config>
	<!-- web fonts -->
    <mime-mapping>
        <extension>eot</extension>
        <mime-type>application/vnd.ms-fontobject</mime-type>
    </mime-mapping>
    <mime-mapping>
        <extension>otf</extension>
        <mime-type>font/opentype</mime-type>
    </mime-mapping>
    <mime-mapping>
        <extension>ttf</extension>
        <mime-type>application/x-font-ttf</mime-type>
    </mime-mapping>
    <mime-mapping>
        <extension>woff</extension>
        <mime-type>application/x-font-woff</mime-type>
    </mime-mapping>
    <mime-mapping>
        <extension>svg</extension>
        <mime-type>image/svg+xml</mime-type>
    </mime-mapping>
    <mime-mapping>
        <extension>ico</extension>
        <mime-type>image/x-icon</mime-type>
    </mime-mapping>
</web-app>